*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:system-ui,sans-serif;
    background:#080b12;
    color:#fff;
    min-height:100vh;
    display:flex;
    justify-content:center;
    align-items:center;
    padding:20px;
}

.card{
    width:100%;
    max-width:420px;
    text-align:center;
}

.avatar{
    width:110px;
    height:110px;
    border-radius:50%;
    object-fit:cover;
    border:3px solid #2d3748;
    margin-bottom:15px;
}

h1{
    font-size:2rem;
    margin-bottom:8px;
}

.bio{
    color:#9ca3af;
    font-size:1rem;
    margin-bottom:30px;
}

.links{
    padding:0 16px;
    display:flex;
    flex-direction:column;
    gap:14px;
}

.btn{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:10px;
    text-decoration:none;
    color:#fff;
    background:#172033;
    border:1px solid #2b3b5a;
    border-radius:16px;
    padding:18px;
    font-size:1.1rem;
    font-weight:600;
    transition:.2s;
}

.btn:hover{
    transform:translateY(-2px);
    background:#1d2940;
}

.footer{
    margin:30px 0 20px;
    color:#6b7280;
    font-size:.85rem;
}
.card{
    width:100%;
    max-width:420px;
    background:#111827;
    border-radius:24px;
    overflow:hidden;
    border:1px solid #23304a;
    box-shadow:0 15px 40px rgba(0,0,0,.45);
}

.cover{
    height:180px;
    background:
        linear-gradient(
            rgba(0,0,0,.15),
            rgba(17,24,39,.9)
        ),
        url('../cover.webp') center/cover;
}

.avatar{
    width:120px;
    height:120px;
    border-radius:50%;
    object-fit:cover;
    border:4px solid #111827;
    display:block;
    margin:-60px auto 20px;
}
.modal{
    position:fixed;
    inset:0;
    background:rgba(0,0,0,.75);
    backdrop-filter:blur(5px);

    display:none;
    justify-content:center;
    align-items:center;
    padding:20px;

    z-index:999;
}

.modal.show{
    display:flex;
}

.modal-content{
    width:100%;
    max-width:340px;

    background:#111827;
    border:1px solid #23304a;
    border-radius:20px;

    padding:24px;
    text-align:center;

    animation:popup .2s ease;
}

.modal-text{
    color:#9ca3af;
    margin-bottom:20px;
    font-size:.95rem;
}
.modal-download{
    display:flex;
    align-items:center;
    justify-content:center;

    text-decoration:none;

    background:#172033;
    border:1px solid #2b3b5a;

    color:white;

    border-radius:14px;

    padding:15px;
    margin-bottom:10px;

    font-weight:600;

    transition:.2s;
}

.modal-download:hover{
    background:#1d2940;
}
.modal-content h2{
    font-size:1.5rem;
    margin-bottom:8px;
    line-height:1.3;
}
.close-btn{
    background:none;
    border:none;

    color:#9ca3af;

    margin-top:8px;

    cursor:pointer;
    font-size:.95rem;
}

.close-btn:hover{
    color:white;
}

@keyframes popup{
    from{
        opacity:0;
        transform:scale(.9);
    }
    to{
        opacity:1;
        transform:scale(1);
    }
}